std::ranges::view_interface::cbegin(3)

NAME
std::ranges::view_interface::cbegin - std::ranges::view_interface::cbegin

Synopsis
   constexpr auto cbegin(); (1) (since C++23)
   constexpr auto cbegin() const requires ranges::range<const D>; (2) (since C++23)
   The default implementation of cbegin() member function returns a constant beginning
   iterator of the range.
   range-begin-end.svg
   1) Let derived be a reference bound to static_cast<D&>(*this).
   Equivalent to return ranges::cbegin(derived);.
   2) Same as (1), except that derived is static_cast<const D&>(*this).

Parameters
   (none)

Return value
   A constant beginning iterator of the range.

Notes
   All range adaptors and range factories in the standard library and
   std::ranges::subrange use the default implementation of cbegin.

Example
    This section is incomplete
    Reason: no example

See also
   begin
   cbegin returns an iterator to the beginning of a container or array
   (C++11) (function template)
   (C++14)
   ranges::cbegin returns an iterator to the beginning of a read-only range
   (C++20) (customization point object)

Category:
     * Todo no example